Bug 328729 - digiKam crash while switching MySQL to SQLite
Summary: digiKam crash while switching MySQL to SQLite
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Database-Migration (show other bugs)
Version: 4.0.0
Platform: Compiled Sources Linux
: NOR crash
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-12-12 17:57 UTC by Jim Shipman
Modified: 2019-12-30 06:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Shipman 2013-12-12 17:57:23 UTC
Application: digikam (4.0.0-beta1)
KDE Platform Version: 4.11.3 (Compiled from sources)
Qt Version: 4.8.5
Operating System: Linux 3.11.10-200.fc19.x86_64 x86_64
Distribution: "Fedora release 19 (Schrödinger’s Cat)"

-- Information about the crash:
- What I was doing when the application crashed:
1) I had just switched settings from MySQL to SQLite
2) Added Photo Directories
3) Canceled "Default Camera Import Folder"
4) Clicked Ok.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/usr/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7caad56ac0 (LWP 3929))]

Thread 13 (Thread 0x7f7c9ee39700 (LWP 3952)):
#0  0x000000337080e0bd in read () from /usr/lib64/libpthread.so.0
#1  0x00000033efc864f0 in g_wakeup_acknowledge () from /usr/lib64/libglib-2.0.so.0
#2  0x00000033efc47c0c in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00000033efc4807b in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#4  0x00000033efc4854a in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#5  0x00000033f0cc6db6 in gdbus_shared_thread_func () from /usr/lib64/libgio-2.0.so.0
#6  0x00000033efc6c165 in g_thread_proxy () from /usr/lib64/libglib-2.0.so.0
#7  0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#8  0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 12 (Thread 0x7f7c96fbf700 (LWP 3958)):
#0  0x000000337080b565 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000033f107b1e6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x0000000000611643 in Digikam::ScanController::run (this=0x11ed6d0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/digikam/database/scancontroller.cpp:725
#3  0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#4  0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 11 (Thread 0x7f7c967be700 (LWP 3959)):
#0  0x0000003370809b11 in pthread_mutex_lock () from /usr/lib64/libpthread.so.0
#1  0x00000033efc87221 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00000033efc481d8 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00000033f107866f in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00000033f115a733 in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/libQtCore.so.4
#8  0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#9  0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#10 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 10 (Thread 0x7f7c95fbd700 (LWP 3974)):
#0  0x000000337080b565 in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib64/libpthread.so.0
#1  0x00000033f107b1e6 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007f7cae550f2d in Digikam::ParkingThread::run (this=0x129b8e0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/threadmanager.cpp:119
#3  0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#4  0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#5  0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 9 (Thread 0x7f7c950ae700 (LWP 3977)):
#0  0x000000337080e0bd in read () from /usr/lib64/libpthread.so.0
#1  0x00000033efc864f0 in g_wakeup_acknowledge () from /usr/lib64/libglib-2.0.so.0
#2  0x00000033efc47c0c in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00000033efc4807b in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#4  0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#8  0x00000033f107866f in QThread::exec() () from /usr/lib64/libQtCore.so.4
#9  0x00000033f115a733 in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/libQtCore.so.4
#10 0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#11 0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#12 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 8 (Thread 0x7f7c2dffb700 (LWP 4749)):
#0  0x00000033efc86f6a in g_mutex_get_impl () from /usr/lib64/libglib-2.0.so.0
#1  0x00000033efc87249 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00000033efc47f9d in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#3  0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00007f7cae55049c in Digikam::WorkerObjectRunnable::run (this=0x352cb9f0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/threadmanager.cpp:196
#8  0x00000033f106e83e in QThreadPoolThread::run() () from /usr/lib64/libQtCore.so.4
#9  0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#10 0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#11 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 7 (Thread 0x7f7bff7fe700 (LWP 4750)):
#0  0x00007fff04ffe996 in clock_gettime ()
#1  0x000000336fd09a2d in clock_gettime () from /usr/lib64/libc.so.6
#2  0x00000033f10cf537 in qt_gettime() () from /usr/lib64/libQtCore.so.4
#3  0x00000033f11a87f5 in QTimerInfoList::timerWait(timeval&) () from /usr/lib64/libQtCore.so.4
#4  0x00000033f11a6f9c in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib64/libQtCore.so.4
#5  0x00000033f11a7045 in timerSourcePrepare(_GSource*, int*) () from /usr/lib64/libQtCore.so.4
#6  0x00000033efc4778d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#7  0x00000033efc48003 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#8  0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#9  0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#10 0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#11 0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#12 0x00007f7cae55049c in Digikam::WorkerObjectRunnable::run (this=0x37171000) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/threadmanager.cpp:196
#13 0x00000033f106e83e in QThreadPoolThread::run() () from /usr/lib64/libQtCore.so.4
#14 0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#15 0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#16 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 6 (Thread 0x7f7c2cff9700 (LWP 4909)):
#0  0x00000033efc86f6a in g_mutex_get_impl () from /usr/lib64/libglib-2.0.so.0
#1  0x00000033efc87249 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00000033efc481f6 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#4  0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00007f7cae55049c in Digikam::WorkerObjectRunnable::run (this=0x36894850) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/threadmanager.cpp:196
#7  0x00000033f106e83e in QThreadPoolThread::run() () from /usr/lib64/libQtCore.so.4
#8  0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#9  0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#10 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 5 (Thread 0x7f7bfffff700 (LWP 4922)):
#0  0x000000337080c3d3 in pthread_getspecific () from /usr/lib64/libpthread.so.0
#1  0x00000033efc6c600 in g_thread_self () from /usr/lib64/libglib-2.0.so.0
#2  0x00000033efc4721c in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#3  0x00000033efc47fa5 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#4  0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#8  0x00007f7cae55049c in Digikam::WorkerObjectRunnable::run (this=0x36d32e70) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/threadmanager.cpp:196
#9  0x00000033f106e83e in QThreadPoolThread::run() () from /usr/lib64/libQtCore.so.4
#10 0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#11 0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#12 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 4 (Thread 0x7f7c4f05e700 (LWP 4930)):
#0  0x00000033efc86f6a in g_mutex_get_impl () from /usr/lib64/libglib-2.0.so.0
#1  0x00000033efc87219 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#2  0x00000033efc47378 in g_main_context_release () from /usr/lib64/libglib-2.0.so.0
#3  0x00000033efc48091 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#4  0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#8  0x00007f7cae55049c in Digikam::WorkerObjectRunnable::run (this=0x3680e6b0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/threadmanager.cpp:196
#9  0x00000033f106e83e in QThreadPoolThread::run() () from /usr/lib64/libQtCore.so.4
#10 0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#11 0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#12 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 3 (Thread 0x7f7c4e85d700 (LWP 4935)):
#0  0x000000337080e6dd in fsync () from /usr/lib64/libpthread.so.0
#1  0x000000338e031c4c in unixSync () from /usr/lib64/libsqlite3.so.0
#2  0x000000338e01a59f in pagerSyncHotJournal () from /usr/lib64/libsqlite3.so.0
#3  0x000000338e04a004 in sqlite3PagerSharedLock () from /usr/lib64/libsqlite3.so.0
#4  0x000000338e04aaa9 in sqlite3BtreeBeginTrans () from /usr/lib64/libsqlite3.so.0
#5  0x000000338e06ce39 in sqlite3VdbeExec () from /usr/lib64/libsqlite3.so.0
#6  0x000000338e0731df in sqlite3_step () from /usr/lib64/libsqlite3.so.0
#7  0x00007f7c8519e10c in QSQLiteResultPrivate::fetchNext(QVector<QVariant>&, int, bool) () from /usr/lib64/qt4/plugins/sqldrivers/libqsqlite.so
#8  0x00007f7c8519ee38 in QSQLiteResult::exec() () from /usr/lib64/qt4/plugins/sqldrivers/libqsqlite.so
#9  0x00000033f8c10b9d in QSqlQuery::exec() () from /usr/lib64/libQtSql.so.4
#10 0x00007f7caf40e691 in KFaceIface::DatabaseCoreBackend::exec (this=0x179c560, query=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/database/databasecorebackend.cpp:1411
#11 0x00007f7caf40d04b in KFaceIface::DatabaseCoreBackend::execQuery (this=0x179c560, query=..., boundValues=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/database/databasecorebackend.cpp:1092
#12 0x00007f7caf40cc39 in KFaceIface::DatabaseCoreBackend::execQuery (this=0x179c560, sql=..., boundValues=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/database/databasecorebackend.cpp:1036
#13 0x00007f7caf40c74f in KFaceIface::DatabaseCoreBackend::execSql (this=0x179c560, sql=..., boundValues=..., values=0x0, lastInsertId=0x7f7c4e85be80) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/database/databasecorebackend.cpp:941
#14 0x00007f7caf41b331 in KFaceIface::TrainingDB::updateLBPHFaceModel (this=0x179c8d0, model=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/database/trainingdb.cpp:238
#15 0x00007f7caf3eda81 in KFaceIface::OpenCVLBPHFaceRecognizer::train (this=0x7f7c1c05bec0, images=std::vector of length 1, capacity 1 = {...}, labels=std::vector of length 1, capacity 1 = {...}, context=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:173
#16 0x00007f7caf401fcd in KFaceIface::trainIdentityBatch<KFaceIface::OpenCVLBPHFaceRecognizer> (r=0x7f7c1c05bec0, identitiesToBeTrained=..., data=0x7f7c4e85c320, trainingContext=..., d=0x179c260) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/recognitiondatabase.cpp:704
#17 0x00007f7caf401573 in KFaceIface::RecognitionDatabase::Private::train (this=0x179c260, r=0x7f7c1c05bec0, identitiesToBeTrained=..., data=0x7f7c4e85c320, trainingContext=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/recognitiondatabase.cpp:727
#18 0x00007f7caf401627 in KFaceIface::RecognitionDatabase::train (this=0x1898e08, identitiesToBeTrained=..., data=0x7f7c4e85c320, trainingContext=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkface/libkface/recognitiondatabase.cpp:738
#19 0x0000000000724557 in Digikam::Trainer::process (this=0x1898df0, package=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/facemanagement/facepipeline.cpp:974
#20 0x000000000071deef in Digikam::Trainer::qt_static_metacall (_o=0x1898df0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7f7c1009a7e0) at /home/shipman/Downloads/digikam-4.0.0-beta1/build/core/digikam/facepipeline_p.moc:579
#21 0x00000033f119232e in QObject::event(QEvent*) () from /usr/lib64/libQtCore.so.4
#22 0x00007f7cae5522cb in Digikam::WorkerObject::event (this=0x1898df0, e=0x7f7c1004e5d0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/workerobject.cpp:160
#23 0x00000033f29c84dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#24 0x00000033f29ceaa0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#25 0x00007f7cac43de9a in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#26 0x00000033f117a26d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#27 0x00000033f117d1df in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#28 0x00000033f11a7883 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQtCore.so.4
#29 0x00000033efc47df6 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#30 0x00000033efc48148 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#31 0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#32 0x00000033f11a7145 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#33 0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#34 0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#35 0x00007f7cae55049c in Digikam::WorkerObjectRunnable::run (this=0x3775e1b0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/threadmanager.cpp:196
#36 0x00000033f106e83e in QThreadPoolThread::run() () from /usr/lib64/libQtCore.so.4
#37 0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#38 0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#39 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 2 (Thread 0x7f7c4e05c700 (LWP 4951)):
#0  0x00000033efc87268 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00000033efc47818 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00000033efc48003 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#3  0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#5  0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#6  0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#7  0x00007f7cae55049c in Digikam::WorkerObjectRunnable::run (this=0x7f7c100b06c0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/libs/threads/threadmanager.cpp:196
#8  0x00000033f106e83e in QThreadPoolThread::run() () from /usr/lib64/libQtCore.so.4
#9  0x00000033f107ad0f in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#10 0x0000003370807c53 in start_thread () from /usr/lib64/libpthread.so.0
#11 0x000000336fcf5dbd in clone () from /usr/lib64/libc.so.6

Thread 1 (Thread 0x7f7caad56ac0 (LWP 3929)):
[KCrash Handler]
#5  0x000000336fc359e9 in raise () from /usr/lib64/libc.so.6
#6  0x000000336fc370f8 in abort () from /usr/lib64/libc.so.6
#7  0x00000033f1070904 in qt_message_output(QtMsgType, char const*) () from /usr/lib64/libQtCore.so.4
#8  0x00000033f1070a89 in qt_message(QtMsgType, char const*, __va_list_tag*) () from /usr/lib64/libQtCore.so.4
#9  0x00000033f1071294 in qFatal(char const*, ...) () from /usr/lib64/libQtCore.so.4
#10 0x000000000054d87c in QList<Digikam::Album*>::first (this=0x7fff04fe1670) at /usr/include/QtCore/qlist.h:282
#11 0x000000000054b509 in Digikam::KipiInterface::currentAlbum (this=0x1a24ed0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/kipiiface/kipiinterface.cpp:104
#12 0x00007f7c7dea8ee7 in KIPIAdvancedSlideshowPlugin::Plugin_AdvancedSlideshow::setup (this=0x40f5820, widget=0x121fe70) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/kipi-plugins/advancedslideshow/plugin/plugin_advancedslideshow.cpp:110
#13 0x0000000000540391 in Digikam::KipiPluginLoader::slotKipiPluginPlug (this=0x33d61090) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/kipiiface/kipipluginloader.cpp:295
#14 0x000000000053f022 in Digikam::KipiPluginLoader::qt_static_metacall (_o=0x33d61090, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff04fe1a20) at /home/shipman/Downloads/digikam-4.0.0-beta1/build/core/digikam/kipipluginloader.moc:49
#15 0x00000033f118df78 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#16 0x00007f7caef2cd41 in KIPI::PluginLoader::replug (this=0x120e3c0) at /home/shipman/Downloads/digikam-4.0.0-beta1/build/extra/libkipi/libkipi/pluginloader.moc:116
#17 0x00007f7caef3c104 in KIPI::ConfigWidget::apply (this=0x4487810) at /home/shipman/Downloads/digikam-4.0.0-beta1/extra/libkipi/libkipi/configwidget.cpp:215
#18 0x00000000004e7af7 in Digikam::Setup::okClicked (this=0x34b10b60) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/setup/setup.cpp:537
#19 0x00000000004e7891 in Digikam::Setup::slotButtonClicked (this=0x34b10b60, button=4) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/setup/setup.cpp:502
#20 0x00007f7cac3a219f in KDialog::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.51] () from /usr/lib64/libkdeui.so.5
#21 0x00000033f118df78 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#22 0x00000033f119564e in QSignalMapper::mapped(int) () from /usr/lib64/libQtCore.so.4
#23 0x00000033f1195756 in QSignalMapper::map(QObject*) () from /usr/lib64/libQtCore.so.4
#24 0x00000033f118df78 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#25 0x00000033f300eb22 in QAbstractButton::clicked(bool) () from /usr/lib64/libQtGui.so.4
#26 0x00000033f2d74703 in QAbstractButtonPrivate::emitClicked() () from /usr/lib64/libQtGui.so.4
#27 0x00000033f2d75903 in QAbstractButtonPrivate::click() () from /usr/lib64/libQtGui.so.4
#28 0x00000033f2d759ec in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#29 0x00000033f2a17b1e in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#30 0x00000033f29c84dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#31 0x00000033f29cebdd in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#32 0x00007f7cac43de9a in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#33 0x00000033f117a26d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#34 0x00000033f29ce393 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#35 0x00000033f2a3f92b in QETWidget::translateMouseEvent(_XEvent const*) () from /usr/lib64/libQtGui.so.4
#36 0x00000033f2a3e39c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#37 0x00000033f2a64e54 in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQtGui.so.4
#38 0x00000033efc47df6 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#39 0x00000033efc48148 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#40 0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#41 0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#42 0x00000033f2a64fc6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtGui.so.4
#43 0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#44 0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#45 0x00000033f2e68a2c in QDialog::exec() () from /usr/lib64/libQtGui.so.4
#46 0x00000000004e752f in Digikam::Setup::execSinglePage (parent=0x0, page=Digikam::Setup::CollectionsPage) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/setup/setup.cpp:457
#47 0x00000000004e74aa in Digikam::Setup::execSinglePage (page=Digikam::Setup::CollectionsPage) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/setup/setup.cpp:449
#48 0x00000000005d8a72 in Digikam::AlbumManager::setDatabase (this=0x123c830, params=..., priority=false, suggestedAlbumRoot=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/digikam/album/albummanager.cpp:947
#49 0x00000000005d6428 in Digikam::AlbumManager::changeDatabase (this=0x123c830, newParams=...) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/digikam/album/albummanager.cpp:613
#50 0x00000000005c3c5e in Digikam::DigikamApp::slotSetupChanged (this=0x121fe70) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/digikam/main/digikamapp.cpp:2370
#51 0x00000000005ad239 in Digikam::DigikamApp::qt_static_metacall (_o=0x121fe70, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0x7fff04fe3d90) at /home/shipman/Downloads/digikam-4.0.0-beta1/build/core/digikam/digikamapp.moc:184
#52 0x00000033f118df78 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#53 0x00000000006988e9 in Digikam::AlbumSettings::setupChanged (this=0x12732d0) at /home/shipman/Downloads/digikam-4.0.0-beta1/build/core/digikam/albumsettings.moc:111
#54 0x000000000069c4f4 in Digikam::AlbumSettings::emitSetupChanged (this=0x12732d0) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/digikam/utils/albumsettings.cpp:811
#55 0x00000000004e7b1e in Digikam::Setup::okClicked (this=0x35303f60) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/setup/setup.cpp:545
#56 0x00000000004e7891 in Digikam::Setup::slotButtonClicked (this=0x35303f60, button=4) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/setup/setup.cpp:502
#57 0x00007f7cac3a219f in KDialog::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.51] () from /usr/lib64/libkdeui.so.5
#58 0x00000033f118df78 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#59 0x00000033f119564e in QSignalMapper::mapped(int) () from /usr/lib64/libQtCore.so.4
#60 0x00000033f1195756 in QSignalMapper::map(QObject*) () from /usr/lib64/libQtCore.so.4
#61 0x00000033f118df78 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#62 0x00000033f300eb22 in QAbstractButton::clicked(bool) () from /usr/lib64/libQtGui.so.4
#63 0x00000033f2d74703 in QAbstractButtonPrivate::emitClicked() () from /usr/lib64/libQtGui.so.4
#64 0x00000033f2d75903 in QAbstractButtonPrivate::click() () from /usr/lib64/libQtGui.so.4
#65 0x00000033f2d759ec in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQtGui.so.4
#66 0x00000033f2a17b1e in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#67 0x00000033f29c84dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#68 0x00000033f29cebdd in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#69 0x00007f7cac43de9a in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#70 0x00000033f117a26d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#71 0x00000033f29ce393 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#72 0x00000033f2a3f92b in QETWidget::translateMouseEvent(_XEvent const*) () from /usr/lib64/libQtGui.so.4
#73 0x00000033f2a3e39c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#74 0x00000033f2a64e54 in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQtGui.so.4
#75 0x00000033efc47df6 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#76 0x00000033efc48148 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#77 0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#78 0x00000033f11a7145 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#79 0x00000033f2a64fc6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtGui.so.4
#80 0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#81 0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#82 0x00000033f2e68a2c in QDialog::exec() () from /usr/lib64/libQtGui.so.4
#83 0x00000000004e741e in Digikam::Setup::exec (parent=0x121fe70, page=Digikam::Setup::LastPageUsed) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/utilities/setup/setup.cpp:442
#84 0x00000000005c3b25 in Digikam::DigikamApp::setup (this=0x121fe70) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/digikam/main/digikamapp.cpp:2344
#85 0x00000000005c3b06 in Digikam::DigikamApp::slotSetup (this=0x121fe70) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/digikam/main/digikamapp.cpp:2339
#86 0x00000000005ad217 in Digikam::DigikamApp::qt_static_metacall (_o=0x121fe70, _c=QMetaObject::InvokeMetaMethod, _id=24, _a=0x7fff04fe5060) at /home/shipman/Downloads/digikam-4.0.0-beta1/build/core/digikam/digikamapp.moc:182
#87 0x00000033f118df78 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/libQtCore.so.4
#88 0x00000033f29c23c2 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#89 0x00000033f29c3d93 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#90 0x00000033f2dec149 in QMenuPrivate::activateCausedStack(QList<QPointer<QWidget> > const&, QAction*, QAction::ActionEvent, bool) () from /usr/lib64/libQtGui.so.4
#91 0x00000033f2df0699 in QMenuPrivate::activateAction(QAction*, QAction::ActionEvent, bool) () from /usr/lib64/libQtGui.so.4
#92 0x00007f7cac4f4be5 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libkdeui.so.5
#93 0x00000033f2a17b1e in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#94 0x00000033f2df447b in QMenu::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#95 0x00000033f29c84dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#96 0x00000033f29cebdd in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#97 0x00007f7cac43de9a in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#98 0x00000033f117a26d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQtCore.so.4
#99 0x00000033f29ce393 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#100 0x00000033f2a3fc5c in QETWidget::translateMouseEvent(_XEvent const*) () from /usr/lib64/libQtGui.so.4
#101 0x00000033f2a3e39c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#102 0x00000033f2a64e54 in x11EventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQtGui.so.4
#103 0x00000033efc47df6 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#104 0x00000033efc48148 in g_main_context_iterate.isra.22 () from /usr/lib64/libglib-2.0.so.0
#105 0x00000033efc481ec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#106 0x00000033f11a7166 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#107 0x00000033f2a64fc6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtGui.so.4
#108 0x00000033f1178ecf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#109 0x00000033f11791c5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#110 0x00000033f117e45b in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#111 0x000000000073a958 in main (argc=1, argv=0x7fff04fe6748) at /home/shipman/Downloads/digikam-4.0.0-beta1/core/digikam/main/main.cpp:235

Reported using DrKonqi
Comment 1 caulier.gilles 2013-12-30 23:11:39 UTC
The crash do not appear in digiKam DB interface, but somewhere in advanced slideshow kipi tool. This is a non sense.

Please try to reproduce the crash in same condition, but running digiKam through GDB, as explained here :

http://www.digikam.org/contrib

Gilles Caulier
Comment 2 caulier.gilles 2014-01-18 09:10:49 UTC

*** This bug has been marked as a duplicate of bug 330106 ***
Comment 3 caulier.gilles 2019-12-30 06:57:49 UTC
Not reproducible with 7.0.0 beta 1.